<#ibiztemplate>
TARGET=PSSYSTEM
</#ibiztemplate>

import ${pub.getPKGCodeName()}.quickstart.domain.QJD;
import ${pub.getPKGCodeName()}.quickstart.mapper.QJDMapper;
import org.junit.Before;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;
import javax.sql.DataSource;
import java.sql.Connection;
import java.sql.SQLException;
import ${pub.getPKGCodeName()}.jctaskMain;

@RunWith(SpringRunner.class)
@SpringBootTest(classes = jctaskMain.class)
public class ApplicationTest {

    @Autowired
    private DataSource dataSource;
    @Autowired
    private QJDMapper userMapper;

    @Before
    public void beforeTest() {
        try {
            Connection connection = dataSource.getConnection();
            //建表SQL
            String qjdSql="create table IF NOT EXISTS  QJD\n" +
                    "(\n" +
                    "  qjdid      VARCHAR2(100) not null,\n" +
                    "  createman  VARCHAR2(60),\n" +
                    "  updateman  VARCHAR2(60),\n" +
                    "  createdate DATE,\n" +
                    "  qjdname    VARCHAR2(200),\n" +
                    "  updatedate DATE\n" +
                    ")";
            connection.createStatement().execute(qjdSql);
            connection.close();
        } catch (SQLException e) {
            e.printStackTrace();
        }
    }

    @Test
    public void testMain() {
        QJD qjd = new QJD();
        qjd.setQjdid("1");
        qjd.setQjdname("请假单1");
        userMapper.insert(qjd);
    }
}

